<div class="register-box">
  <div class="card card-outline card-primary">
    <div class="card-header text-center">
      <h1>{{title}}</h1>
    </div>
    <div class="card-body">
      <p *ngIf="errorMessage" class="text-danger login-box-msg">{{errorMessage}}</p>
      <form role="form" [formGroup]="formRegister" class="mb-3" autocomplete="off">
        <div class="input-group" [ngClass]="{'mb-3': !hasError('name')}">
          <input type="text" class="form-control" (keyup)="limpiarErrores('name')" formControlName="name" [ngClass]="{'is-valid': formRegister.controls['name'].valid, 'is-invalid': hasError('name')}" placeholder="Nombre completo">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-user"></span>
            </div>
          </div>
        </div>
        <div *ngIf="hasError('name')" class="mb-3">
          <span *ngFor="let errorName of errores.name" class="text-danger">{{errorName}}</span>
        </div>
        <div class="input-group" [ngClass]="{'mb-3': !hasError('email')}">
          <input type="email" class="form-control" (keyup)="limpiarErrores('email')" formControlName="email" [ngClass]="{'is-valid': formRegister.controls['email'].valid, 'is-invalid': hasError('email') || hasError('email', 'email')}" placeholder="Correo electrónico">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-envelope"></span>
            </div>
          </div>
        </div>
        <div *ngIf="hasError('email')" class="mb-3">
          <span *ngFor="let errorEmail of errores.email" class="text-danger">{{errorEmail}}</span>
        </div>
        <div class="input-group" [ngClass]="{'mb-3': !hasError('password')}">
          <input type="password" class="form-control" (keyup)="limpiarErrores('password')" formControlName="password" [ngClass]="{'is-valid': formRegister.controls['password'].valid, 'is-invalid': hasError('password')}" placeholder="Contraseña">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-lock"></span>
            </div>
          </div>
        </div>
        <div *ngIf="hasError('password')" class="mb-3">
          <span *ngFor="let errorPass of errores.password" class="text-danger">{{errorPass}}</span>
        </div>
        <div class="input-group" [ngClass]="{'mb-3': !hasError('password_confirmation')}">
          <input type="password" class="form-control" (keyup)="limpiarErrores('password_confirmation')" formControlName="password_confirmation" [ngClass]="{'is-valid': formRegister.controls['password_confirmation'].valid, 'is-invalid': hasError('password_confirmation')}" placeholder="Repetir contraseña">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-lock"></span>
            </div>
          </div>
        </div>
        <div *ngIf="hasError('password_confirmation')" class="mb-3">
          <span *ngFor="let errorPassCon of errores.password_confirmation" class="text-danger">{{errorPassCon}}</span>
        </div>
        <div class="row">
          <div class="col-12">
            <button type="submit" (click)="onSubmit()" [disabled]="loading" class="btn btn-primary btn-block"><i class="fas" [ngClass]="{'fa-sign-in-alt': !loading, 'fa-spinner fa-pulse': loading}"></i> Registrar</button>
          </div>
        </div>
      </form>

      <a routerLink="/login" class="text-center">Ya tengo una cuenta</a>
    </div>
  </div>
</div>
